Documentation
Version V1.0.2
GET Zoning
https://www.microburbs.com.au/report_generator/api/property/zoning
Retrieves information about the different zoning areas 1km around a specified property, including residential, commercial, and other zone types.
Important: The id parameter refers to the property's GNAF ID.
You can retrieve this value from Get GNAF_ID (Geocoder) API Endpoint. Click to see documentation

Parameters

Name Type Required Description
id text Required Property identifier (GnafID)
geojson boolean Optional Set to 'true' to include geometric shape data of zoning areas (default: false)

Response Schema

Field Type Description
results array Array of zoning areas in the specified area
results[].area_level string Level of geographical detail (e.g., 'Layer')
results[].area_name string Name of the layer
results[].category string Zoning category (e.g., 'Residential Zones', 'Commercial Zones')
results[].name string Specific zone type (e.g., 'Low Density Residential', 'Mixed Use')
results[].geometry object GeoJSON geometry data of the zoning area (only included when geojson=true)

Request Examples

cURL
Python
JavaScript
curl -X GET "https://www.microburbs.com.au/report_generator/api/property/zoning?suburb=Belmont%20North" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json"

Response Example

Response
{ "results": [ { "area_level": "Layer", "area_name": "Zoning Layer", "category": "Residential Zones", "name": "Medium Density Residential" }, { "area_level": "Layer", "area_name": "Zoning Layer", "category": "Residential Zones", "name": "Low Density Residential" }, { "area_level": "Layer", "area_name": "Zoning Layer", "category": "Commercial Zones", "name": "Business Park" }, { "area_level": "Layer", "area_name": "Zoning Layer", "category": "Commercial Zones", "name": "Mixed Use" } ] }
Try it in Sandbox